server {
    listen 80;
    server_name localhost;
    proxy_ssl_server_name on;
    location /oauth/token {
	proxy_pass https://gitlab.com/oauth/token;
        add_header Access-Control-Allow-Origin *;
        add_header Access-Control-Allow-Headers *;
        add_header Access-Control-Allow-Methods GET,HEAD,OPTIONS,POST,PUT;
    }
    location /oauth/authorize {
	proxy_pass https://gitlab.com/oauth/authorize;
        add_header Access-Control-Allow-Origin *;
        add_header Access-Control-Allow-Headers *;
        add_header Access-Control-Allow-Methods GET,HEAD,OPTIONS,POST,PUT;
    }
    location /api/v4/user {
	proxy_pass https://gitlab.com/api/v4/user;
        add_header Access-Control-Allow-Origin *;
        add_header Access-Control-Allow-Headers *;
        add_header Access-Control-Allow-Methods GET,HEAD,OPTIONS,POST,PUT;
    }
    location /oauth/discovery/keys {
	proxy_pass https://gitlab.com/oauth/discovery/keys;
        add_header Access-Control-Allow-Origin *;
        add_header Access-Control-Allow-Headers *;
        add_header Access-Control-Allow-Methods GET,HEAD,OPTIONS,POST,PUT;
    }
}
